Bug 512992 - (CVE-2009-2563) CVE-2009-2563 Wireshark: Null-ptr dereference in the InfiniBand dissector
CVE-2009-2563 Wireshark: Null-ptr dereference in the InfiniBand dissector
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20090720,reported=2...
: Security
Depends On: 549581 549582 549583 549584 561099 833992
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-21 11:21 EDT by Jan Lieskovsky
Modified: 2012-06-20 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-20 11:54:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-07-21 11:21:07 EDT
A NULL pointer dereference flaw was found in the Wireshark's InfiniBand
dissector. A remote attacker could provide a specially-crafted InfiniBand
packet capture file, which once opened by an unsuspecting user would
lead to denial of service (Wireshark crash).

References:
-----------
http://www.wireshark.org/security/wnpa-sec-2009-04.html


Upstream patch:
---------------
http://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-infiniband.c?r1=28839&r2=28838&pathrev=28839&view=patch
Comment 1 Jan Lieskovsky 2009-07-21 11:22:10 EDT
This issue affects the versions of the wireshark package, as shipped
with Red Hat Enterprise Linux 3, 4, and 5.

This issue affects the versions of the wireshark package, as shipped
with Fedora releases of 10, 11, and Rawhide.
Comment 3 Jan Lieskovsky 2009-07-21 15:51:35 EDT
MITRE's CVE-2009-2563 entry:

Unspecified vulnerability in the Infiniband dissector in Wireshark
1.0.6 through 1.2.0, when running on unspecified platforms, allows
remote attackers to cause a denial of service (crash) via unknown
vectors.

References:
----------
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-2563
http://www.wireshark.org/security/wnpa-sec-2009-04.html
http://www.securityfocus.com/bid/35748
http://secunia.com/advisories/35884
http://www.vupen.com/english/advisories/2009/1970
Comment 4 Jan Lieskovsky 2009-08-12 06:10:56 EDT
Official statement from Red Hat Security Response Team regarding this issue:
----------------------------------------------------------------------------

The Red Hat Security Response Team has rated this issue as having 
low security impact, a future Wireshark package update may address
this flaw in Red Hat Enterprise Linux 3, 4, and 5. More information
regarding issue severity can be found here:
http://www.redhat.com/security/updates/classification/
Comment 5 Fedora Update System 2009-11-04 07:02:31 EST
wireshark-1.2.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-12-04 18:39:02 EST
wireshark-1.2.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Vincent Danen 2010-01-28 20:19:23 EST
This has been corrected upstream in the 1.0.x branch (1.0.11):

The Infiniband dissector could crash on some platforms.
Fixed in trunk: r28839
Fixed in trunk-1.2: r29099
Fixed in trunk-1.0: r31671
Versions affected: 1.0.6 to 1.0.10, 1.2.0
CVE-2009-2563
Comment 10 errata-xmlrpc 2010-04-20 11:31:30 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 3

Via RHSA-2010:0360 https://rhn.redhat.com/errata/RHSA-2010-0360.html

Note You need to log in before you can comment on or make changes to this bug.